Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513759 - [downstream clone - 4.1.8] Misleading Error : Unexpected comma or semicolon found at the end of the DN string.
Summary: [downstream clone - 4.1.8] Misleading Error : Unexpected comma or semicolon f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-extension-aaa-ldap
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.1.8
: ---
Assignee: Ondra Machacek
QA Contact: Gonza
URL:
Whiteboard:
Depends On: 1511120
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 22:22 UTC by rhev-integ
Modified: 2017-12-12 09:23 UTC (History)
10 users (show)

Fixed In Version: ovirt-engine-extension-aaa-ldap-1.3.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1511120
Environment:
Last Closed: 2017-12-12 09:23:10 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3426 normal SHIPPED_LIVE ovirt-engine-extension-aaa-ldap bug fix and enhancement update for RHV 4.1.8 2017-12-12 14:16:22 UTC

Description rhev-integ 2017-11-15 22:22:04 UTC
+++ This bug is a downstream clone. The original bug is: +++
+++   bug 1511120 +++
======================================================================

Description of problem:
We have been having quite a few customers off late reporting setup issues with the error as defined in summary.

In all these cases, we have seen that the underlying error is something different but the customer sees only "Unexpected comma or semicolon found at the end of the DN string."

This error is very misleading and they are unable to determine the exact cause until we at support ask for debug logs to determine the actual cause.


In one of the case, the actual problem was : The connection reader was unable to successfully complete TLS negotiation:  LDAPException(resultCode=91 (connect error), errorMessage='Hostname verification failed because the expected hostname '<fqdn>' was not found in peer certificate..."

We need some changes to showcase the actual error at these times.

(Originally by Anitha Udgiri)

Comment 2 Gonza 2017-11-24 16:52:06 UTC
Verified with:
ovirt-engine-extension-aaa-ldap-setup-1.3.6-1.el7ev.noarch

Login sequence executed successfully

Comment 5 errata-xmlrpc 2017-12-12 09:23:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3426


Note You need to log in before you can comment on or make changes to this bug.